루비 1.8.7 지원을 종료합니다

뭔가 장대한 서사시처럼 이야기할 수 있다면 좋겠지만 슬프게도 저의 영어 능력이 제한적이라, 말하고자 하는 바 그대로 이야기하고자 합니다: 계획된 바대로1.8.7을 종료합니다.

루비 1.8.7

이제, 여러분 대부분이 루비 1.9.x 혹은 2.0.0을 사용하고 계실겁니다(만약 아니라면 사용해 주십시오). 그러나 과거에는 1.4.x, 1.6.x 그리고 1.8.x와 같은 다른 버전이 있었습니다. 이들은 모두 오리지널 MRI라 불리는 오리지널 루비 1.0의 직속 후예입니다. 마츠가 1.8.0을 릴리즈했을 때 그것은 가장 향상된 기술의 릴리즈였습니다. 1.8.7은 그 일족의 마지막 후손입니다.

기술적으로 말하자면, 1.8.0이 릴리즈된지 10년이 흘렀고, 1.8.7이 릴리즈된지 5년이 지났습니다. 그당시에, 루비는 CGI 스크립트를 작성하기 위해 사용되었습니다. 이후 환경은 레일즈의 등장과 함께 극적으로 변화되었습니다. 그래서 많은 사용자들이 루비를 사용하기 시작하였습니다. 그리고 내부적으로, 우리는 ko1의 새로운 엔진(당시 YARV라 불렸던)을 최종적으로 머지하였습니다. 이 엔진은 여러분이 오늘날 사용하고 있는 표준 루비가 되었습니다.

그래서 10년 후, 나는 1.8.7이 유산이 되었음을 이야기하게 되어 기쁩니다. 그것은 역사를 만들었습니다. 그것은 정말로 우리 삶을 바꾸었습니다. 그리고 변화는 계속됩니다, 우리는 앞으로 나아갑니다. 루비 2.0.0으로도 훌륭합니다만, 다가오는 2.1을 더욱 매력적으로 만들고자 나는 1.8.7을 만료하고 최신 루비 트렁크에 집중할 것입니다.

1.8.7에 감사합니다, 프로그램을 위한 멋진 존재였습니다.

여러분의 루비 1.8.7

여러분의 시스템 어딘가에 아직 루비 1.8.7의 실행파일이 있을 수도 있습니다. 그것을 설치한 방식에 따라, 여러분의 루비는 누군가에 의해 지원될 수도, 그렇지 않을 수도 있습니다. 1.8.7을 지원하는 일부 서드파티들이 있기 때문입니다. 내가 말씀드릴 수 있는 것은 나는 더이상 1.8.7을 지원하지 않을 것이라는 점입니다. 그러므로 내가 릴리즈한 것을 사용하고 있다면, 주의하시고 여러분의 상황에 맞는 해결방법을 찾으십시오.